Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
QwtCompassWindArrow Class Reference

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtCompassWindArrow:
[legend]

List of all members.

## Public Types
enum | Style { Style1, Style2 }

## Public Member Functions
| QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
Public Member Functions inherited from QwtDialNeedle
| QwtDialNeedle ()
virtual | ~QwtDialNeedle ()
virtual void | draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const
const QPalette & | palette () const
virtual void | setPalette (const QPalette &)

## Protected Member Functions
virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const
Protected Member Functions inherited from QwtDialNeedle
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const

## Detailed Description

An indicator for the wind direction.

QwtCompassWindArrow shows the direction where the wind comes from.

- QPalette::Light
  Used for Style1, or the light half of Style2
- QPalette::Dark
  Used for the dark half of Style2

See also:
  QwtDial, QwtCompass

## Member Enumeration Documentation

enum QwtCompassWindArrow::Style

Style of the arrow.

Enumerator:

  Style1 | A needle pointing to the center.
  Style2 | A needle pointing to the center.

## Constructor & Destructor Documentation

QwtCompassWindArrow::QwtCompassWindArrow | ( | Style | style,
|  | const QColor & | light = `Qt::white`,
|  | const QColor & | dark = `Qt::gray`
| ) |  |

Constructor

Parameters:

  style | Arrow style
  light | Light color
  dark | Dark color

## Member Function Documentation

void QwtCompassWindArrow::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup
| ) |  | const
| protected virtual

Draw the needle

Parameters:

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.